Author Topic: install with wxwidget like the video demo  (Read 5824 times)

Offline grabriel

  • Single posting newcomer
  • *
  • Posts: 6
install with wxwidget like the video demo
« on: April 16, 2008, 05:19:29 pm »
Hi,

I download the demo video on howto setup wxwidget with code::blocks.

When i made the command :

Code
make -f makefile.gcc BUILD=debug UNICODE=1

i have this error message

Quote
if not exist gcc_mswud mkdir gcc_mswud
/bin/sh.exe: -c: line 2: syntax error: unexpected end of file
make: [gcc_mswud] Error 2 (ignored)
if not exist ..\..\lib\gcc_lib mkdir ..\..\lib\gcc_lib
/bin/sh.exe: -c: line 2: syntax error: unexpected end of file
make: *** [..\..\lib\gcc_lib] Error 2

I try with msys make and mingw32-make and both give the same error message.

Where is the problem??

Thanks for help!

PS : i download the last version of all soft
wxwidget 2.8.7
Mingw 5.1.3
mingw32-make 3.81
gcc 3.4.5
code-blocks build rev 2977

I remove the link to msys in the path and always the same error.
I read it here : http://wiki.codeblocks.org/index.php/Compiling_wxWidgets_2.6.1_to_develop_Code::Blocks_%28MSW%29
« Last Edit: April 16, 2008, 05:48:23 pm by grabriel »

Offline grabriel

  • Single posting newcomer
  • *
  • Posts: 6
Re: install with wxwidget like the video demo
« Reply #1 on: April 17, 2008, 10:35:09 am »
up!

Somebody can help me???

give me some clue, another tutorial to try, ...


please!! :(

Offline thomas

  • Administrator
  • Lives here!
  • *****
  • Posts: 3979
Re: install with wxwidget like the video demo
« Reply #2 on: April 17, 2008, 10:50:41 am »
Code
make -f makefile.gcc BUILD=debug UNICODE=1
Use mingw32-make (3.81) as the build instructions tell you to do.
What you are using is probably version 3.79.1 (try make --version).
"We should forget about small efficiencies, say about 97% of the time: Premature quotation is the root of public humiliation."

Offline grabriel

  • Single posting newcomer
  • *
  • Posts: 6
Re: install with wxwidget like the video demo
« Reply #3 on: April 17, 2008, 11:13:02 am »
Quote
Use mingw32-make (3.81) as the build instructions tell you to do.

In my first post :
Quote
I try with msys make and mingw32-make and both give the same error message.

But yesterday i remove msys from the path but i don't try again mingw32-make...
So i try it now and i have only one error left!!!! :D

Code
gcc -c -o gcc_mswud\wxregex_regcomp.o -g -O0 -mthreads  -DHAVE_W32API_H -I..\..\
include -I..\..\lib\gcc_lib\mswud -D__WXMSW__  -D_UNICODE   -MTgcc_mswud\wxregex
_regcomp.o -MFgcc_mswud\wxregex_regcomp.o.d -MD ../../src/regex/regcomp.c
In file included from ../../include/wx/platform.h:279,
                 from ../../include/wx/defs.h:21,
                 from ../../src/regex/regcustom.h:39,
                 from ../../src/regex/regguts.h:38,
                 from ../../src/regex/regcomp.c:33:
../../include/wx/chkconf.h:1817:9: #error "wxClipboard requires wxDataObject"
mingw32-make: *** [gcc_mswud\wxregex_regcomp.o] Error 1

so now i focus on this problem!!

Thanks for your help!

Offline grabriel

  • Single posting newcomer
  • *
  • Posts: 6
Re: install with wxwidget like the video demo
« Reply #4 on: April 17, 2008, 05:31:27 pm »
I don't find solution for the error above so i setup wxPack_v2.8.7.03.exe and i have a new error maybe less hard to resolve :

Code
ld.exe||cannot find -lwxmsw28u_media|

If somebody know about this!!

Thanks!


Offline grabriel

  • Single posting newcomer
  • *
  • Posts: 6
Re: install with wxwidget like the video demo
« Reply #5 on: April 18, 2008, 10:18:41 am »